function doEvent(element, event) {
    if (document.createEventObject) {
        var evt = document.createEventObject();
        return element.fireEvent("on" + event, evt);
    } else {
        var evt = document.createEvent("HTMLEvents");
        evt.initEvent(event, true, true);
        return !element.dispatchEvent(evt);
    }
}

//Fires the click event
jQuery.fn.fclick = function () {
    jQuery(this).each(function () {
        doEvent(this, "click");
    });
};

//Fires the submit event
jQuery.fn.fsubmit = function () {
    jQuery(this).each(function () {
        doEvent(this, "submit");
    })
};