function loadI18nStrings() {
    jQuery("[class^='i18n_']").each(function (key, el) {
        var className = el.className;
        var stringName = className.split(/\s/)[0].substring(5);
        var prop = "innerHTML" in el ? "innerHTML" : "textContent";
        if (el.tagName === "DIV" && el.id.search("dialog-") !== -1)
            prop = "title";
        el[prop] = getLocString(stringName);
    });
}

window.addEventListener("DOMContentLoaded", loadI18nStrings, true);