function readCurrentSettings() {
    getPref("active", function (active) {
        if (active === true) {
            jQuery("#active").attr('checked', '');
        }
        else {
            jQuery("#active").removeAttr('checked');
        }
    });
}

function initPopup() {
    readCurrentSettings();

    //----- jQuery UI --------
    $("#options").button().click(function (e) {
        self.port.emit("open-settings-tab");
        e.preventDefault();
    });

    $("#feedback").button().click(function (e) {
        self.port.emit("open-feedback-tab");
        e.preventDefault();
    });
    $("#help").button().click(function (e) {
        self.port.emit("open-help");
        e.preventDefault();
    });
    $("#about").button().click(function (e) {
        self.port.emit("open-about-tab");
        e.preventDefault();
    });

    //-------- PrettyCheckable ------------
    jQuery("#active").on('change', function () {
        setPref("active", $(this).prop("checked"));
        self.port.emit("activeChanged", $(this).prop("checked"));
    });

    jQuery("#active").prettyCheckable();
};

self.port.on("storageObject", function (storage) {
    tmpStorage = storage;
    initPopup();
});